Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.border
Class BevelBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.BevelBorder

Direct Known Subclasses:
  BorderUIResource.BevelBorderUIResource, SoftBevelBorder

public class BevelBorder
extends AbstractBorder

A class which implements a simple 2 line bevel border.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`protected int` | `bevelType`
`protected java.awt.Color` | `highlightInner`
`protected java.awt.Color` | `highlightOuter`
`static int` | `LOWERED` Lowered bevel type.
`static int` | `RAISED` Raised bevel type.
`protected java.awt.Color` | `shadowInner`
`protected java.awt.Color` | `shadowOuter`

Constructor Summary
`BevelBorder(int bevelType)` Creates a bevel border with the specified type and whose colors will be derived from the background color of the component passed into the paintBorder method.
`BevelBorder(int bevelType, java.awt.Color highlight, java.awt.Color shadow)` Creates a bevel border with the specified type, highlight and shadow colors.
`BevelBorder(int bevelType, java.awt.Color highlightOuter, java.awt.Color highlightInner, java.awt.Color shadowOuter, java.awt.Color shadowInner)` Creates a bevel border with the specified type, highlight shadow colors.

Method Summary
`int` | `getBevelType()` Returns the type of the bevel border.
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)` Returns the insets of the border.
`java.awt.Insets` | `getBorderInsets(java.awt.Component c, java.awt.Insets insets)` Reinitialize the insets parameter with this Border's current Insets.
`java.awt.Color` | `getHighlightInnerColor(java.awt.Component c)` Returns the inner highlight color of the bevel border.
`java.awt.Color` | `getHighlightOuterColor(java.awt.Component c)` Returns the outer highlight color of the bevel border.
`java.awt.Color` | `getShadowInnerColor(java.awt.Component c)` Returns the inner shadow color of the bevel border.
`java.awt.Color` | `getShadowOuterColor(java.awt.Component c)` Returns the outer shadow color of the bevel border.
`boolean` | `isBorderOpaque()` Returns whether or not the border is opaque.
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Paints the border for the specified component with the specified position and size.
`protected void` | `paintLoweredBevel(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`
`protected void` | `paintRaisedBevel(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)`

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RAISED

    public static final int RAISED

  Raised bevel type.

### LOWERED

    public static final int LOWERED

  Lowered bevel type.

### bevelType

    protected int bevelType

### highlightOuter

    protected java.awt.Color highlightOuter

### highlightInner

    protected java.awt.Color highlightInner

### shadowInner

    protected java.awt.Color shadowInner

### shadowOuter

    protected java.awt.Color shadowOuter

Constructor Detail

### BevelBorder

    public BevelBorder(int bevelType)

  Creates a bevel border with the specified type and whose colors will be derived from the background color of the component passed into the paintBorder method.
  Parameters:
    `bevelType` - the type of bevel for the border

### BevelBorder

    public BevelBorder(int bevelType,
                       java.awt.Color highlight,
                       java.awt.Color shadow)

  Creates a bevel border with the specified type, highlight and shadow colors.
  Parameters:
    `bevelType` - the type of bevel for the border
    `highlight` - the color to use for the bevel highlight
    `shadow` - the color to use for the bevel shadow

### BevelBorder

    public BevelBorder(int bevelType,
                       java.awt.Color highlightOuter,
                       java.awt.Color highlightInner,
                       java.awt.Color shadowOuter,
                       java.awt.Color shadowInner)

  Creates a bevel border with the specified type, highlight shadow colors.
  Parameters:
    `bevelType` - the type of bevel for the border
    `highlightOuter` - the color to use for the bevel outer highlight
    `highlightInner` - the color to use for the bevel inner highlight
    `shadowOuter` - the color to use for the bevel outer shadow
    `shadowInner` - the color to use for the bevel inner shadow

Method Detail

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Paints the border for the specified component with the specified position and size.
  Parameters:
    `c` - the component for which this border is being painted
    `g` - the paint graphics
    `x` - the x position of the painted border
    `y` - the y position of the painted border
    `width` - the width of the painted border
    `height` - the height of the painted border
  Overrides:
    paintBorder in class AbstractBorder

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Returns the insets of the border.
  Parameters:
    `c` - the component for which this border insets value applies
  Overrides:
    getBorderInsets in class AbstractBorder

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c,
                                           java.awt.Insets insets)

  Reinitialize the insets parameter with this Border's current Insets.
  Parameters:
    `c` - the component for which this border insets value applies
    `insets` - the object to be reinitialized
  Overrides:
    getBorderInsets in class AbstractBorder

### getHighlightOuterColor

    public java.awt.Color getHighlightOuterColor(java.awt.Component c)

  Returns the outer highlight color of the bevel border.

### getHighlightInnerColor

    public java.awt.Color getHighlightInnerColor(java.awt.Component c)

  Returns the inner highlight color of the bevel border.

### getShadowInnerColor

    public java.awt.Color getShadowInnerColor(java.awt.Component c)

  Returns the inner shadow color of the bevel border.

### getShadowOuterColor

    public java.awt.Color getShadowOuterColor(java.awt.Component c)

  Returns the outer shadow color of the bevel border.

### getBevelType

    public int getBevelType()

  Returns the type of the bevel border.

### isBorderOpaque

    public boolean isBorderOpaque()

  Returns whether or not the border is opaque.
  Overrides:
    isBorderOpaque in class AbstractBorder

### paintRaisedBevel

    protected void paintRaisedBevel(java.awt.Component c,
                                    java.awt.Graphics g,
                                    int x,
                                    int y,
                                    int width,
                                    int height)

### paintLoweredBevel

    protected void paintLoweredBevel(java.awt.Component c,
                                     java.awt.Graphics g,
                                     int x,
                                     int y,
                                     int width,
                                     int height)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.